package http_model

type GetReceiveAddressRequest struct {
}

type ReceiveAddressPreview struct {
	AddressID    int64  `json:"address_id"`
	ReceiveName  string `json:"receive_name"`
	AddressPhone string `json:"address_phone"`
	Address      string `json:"address"`
	RegionCode   string `json:"region_code"`
}

type ReceiveAddressData struct {
	ReceiveAddressPreview []*ReceiveAddressPreview `json:"receive_address_preview"`
}

func NewGetReceiveAddressRequest() *GetReceiveAddressRequest {
	return new(GetReceiveAddressRequest)
}

func NewGetReceiveAddressResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(ReceiveAddressData)
	return resp
}
